Subject: [marf] Fwd: Re: [spf-discuss] Review of draft-ietf-marf-spf-reporting

From: Scott Kitterman <[email-masked]>
Date: Sat, 04 Feb 2012 01:12:53 -0500

I've asked for a number of people external to the working group who have 
experience with SPF to review this draft, including multiple reviews on the 
spf-discuss mailing list.  Most of the comments have been general, like "looks 
much easier to implement that the exists: processing you'd have to use now to 
get feedback".  

I got this review today.  Comments in line.

Scott K

> Subject: Re: (Private) [spf-discuss] Review of
> draft-ietf-marf-spf-reporting Date: Friday, February 03, 2012, 05:52:14
> PM
> From: Commerco WebMaster <[email-masked]>
> To: Scott Kitterman <[email-masked]>
> 
> Scott,
> 
> The draft looks good.
> 
> That said, looking at things from the standpoint of an implementing
> user, I typically like to see more in the way of examples in the RFCs.
> 
> While the examples in Appendix B - B.1. and B.2. are great, it would be
> nice to include a couple of logical variants that someone trying to
> implement SPF might want to set up in the real world.
> 
> In other words starting with an example of no mail authorized -
> 
> v=spf1 -all
> 
> to a simple IP4 case -
> 
> v=spf1 ip4:192.168.10.1 ip4:192.168.20.1 -all
> 
> and some other possible variations might help implementers better
> understand their possible choices, given that SPF offers quite a few
> ways to acceptably configure a DNS record.

I'm always a fan of examples, so I can add some more.

> One last thought, since there are two ways to implement the DNS RR (via
> TXT and SPF), perhaps that might get a mention somewhere.

I think it's probably not necessary since this is within an SPF record and not 
about how the record as a whole is created or published.  Also, since the type 
SPF RR has almost no deployment, I'm afraid it might confuse things.

> Best,
> 
> Alan Maitland
> 
> On 2/3/2012 3:33 PM, Scott Kitterman wrote:
> > I think this is getting close to ready, so I would appreciate it if
> > people here would review the draft and provide comments:
> > 
> > http://datatracker.ietf.org/doc/draft-ietf-marf-spf-reporting/?include
> > _text=1
> > 
> > Thanks.
> > 
> > Scott K